#!/bin/sh
echo ----------------------------------------------
case "$1" in
"save")
if [ ! $2 ]; then
echo "no TARGET name passed to $0, assuming timeshift"
TARGET=timeshift
else
TARGET=$2
fi 
echo "Copying current timeshift to /media/hdd/movie/$TARGET.ts"
ls -1alh /media/hdd/timeshift.*
echo "be patient for longer Timeshift recordings ..."
echo ----------------------------------------------
cp /media/hdd/timeshift.* /media/hdd/movie/$TARGET.ts
echo "Copy finished !"
echo ----------------------------------------------
;;
delete)
if [ ! $2 ]; then
echo "no TARGET name passed to $0, assuming timeshift"
TARGET=timeshift
else
TARGET=$2
fi 
echo "Deleting saved $TARGET.ts at /media/hdd"
rm /media/hdd/movie/$TARGET.ts
echo ----------------------------------------------
;;
rename)
if [ ! $2 ]; then
echo "no TARGET name passed to $0, assuming timeshift"
TARGET=timeshift
else
TARGET=$2
fi 
echo "Renaming saved timeshift.ts to $TARGET.ts at /media/hdd/movie"
mv /media/hdd/movie/timeshift.ts /media/hdd/movie/$TARGET.ts
echo ----------------------------------------------
;;
clean)
echo "Cleaning all unsaved timeshift recordings at /media/hdd"
rm /media/hdd/timeshift.*
echo ----------------------------------------------
;;
list)
echo "Listing all unsaved timeshift recordings at /media/hdd"
echo ----------------------------------------------
ls -1alh /media/hdd/timeshift.*
echo ----------------------------------------------
;;
*)
echo "Usage $0 {save|delete|rename|clean|list}"
echo ----------------------------------------------
;;
esac
exit 0
