#!/bin/sh
#
VERSION=$1
#
INSTALLDIR=/var/tmp
PLUGINDIR=/usr/lib/enigma2/python/Plugins/Extensions/Timeshiftsave

if [ -z $VERSION ]; then
echo "Version needs to be passed as argument, cann't do anything"
echo "---------------------------------------------"
exit 1
fi
 
echo "---------------------------------------------"
echo "Creating Timeshiftsave Installation Kit"
echo "---------------------------------------------"

if [ ! -d $INSTDIR ]; then
mkdir $INSTALLDIR
fi
unix2dos $PLUGINDIR/readme.txt
tar -cf $INSTALLDIR/timeshiftsave$VERSION.tar $PLUGINDIR/cptimeshift.sh $PLUGINDIR/bzip2* $PLUGINDIR/*.py  $PLUGINDIR/makekit.sh $PLUGINDIR/readme.txt
dos2unix $PLUGINDIR/readme.txt
echo " Kit contains "
echo "---------------------------------------------"
tar -tvf $INSTALLDIR/timeshiftsave$VERSION.tar
echo "---------------------------------------------"
if [ ! -f /usr/bin/bzip2 ]; then
ipkg install $INSTALLDIR/bzip2*
echo "---------------------------------------------"
fi
echo "Copying kit to $INSTALLDIR"
echo "---------------------------------------------"
bzip2 -f $INSTALLDIR/timeshiftsave$VERSION.tar
ls -1alh $INSTALLDIR/timeshiftsave$VERSION.tar.*
echo "---------------------------------------------"
cd $PLUGINDIR
exit 0


